## org.omg.PortableServer.CurrentPackage
Class NoContextHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.CurrentPackage.NoContextHelper

public class NoContextHelper
extends java.lang.Object

Helper class for : NoContext

Author:
  OpenORB Compiler

Constructor Summary
`NoContextHelper()`

Method Summary
`static NoContext` `extract(Any a)` Extract NoContext from an any
`static java.lang.String` `id()` Return the NoContext IDL ID
`static void` `insert(Any a, NoContext t)` Insert NoContext into an any
`static NoContext` `read(InputStream istream)` Read NoContext from a marshalled stream
`static TypeCode` `type()` Return the NoContext TypeCode
`static void` `write(OutputStream ostream, NoContext value)` Write NoContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoContextHelper

    public NoContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NoContext t)

  Insert NoContext into an any
  Parameters:
    `a` - an any
    `t` - NoContext value

### extract

    public static NoContext extract(Any a)

  Extract NoContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NoContext value

### type

    public static TypeCode type()

  Return the NoContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NoContext IDL ID
  Returns:
    an ID

### read

    public static NoContext read(InputStream istream)

  Read NoContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NoContext value

### write

    public static void write(OutputStream ostream,
                             NoContext value)

  Write NoContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NoContext value